



#runs every tick as nothing
#player tick
execute as @a at @s run function we:pl_tick

#race mode
execute if score !start_timer race matches 1.. run function we:race_tick
particle minecraft:enchant 13.58 56.00 89.55 0.2 0.2 0.2 1 1 force @a[scores={location=4}]

#level stuff
#factory, door
execute if score !factory_door fake matches ..0 positioned -3.00 65.00 542.47 if entity @a[distance=..2.2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_factory_door_prep
execute if score !factory_door fake matches 1.. run function we:lvl_factory_door

#factory, carts
execute positioned 14.47 65.13 534.67 if entity @a[distance=..1,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] unless entity @e[type=furnace_minecart,tag=en_lvl_factory_cart1] run summon furnace_minecart 16.33 65.13 525.57 {PushX:-1d,Fuel:1980,Tags:["en_lvl_factory_cart1"]}

#coral, boats
execute if score !coral_boats fake matches ..0 positioned 46.44 70.50 1033.82 if entity @a[distance=..5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_coral_boats_prep
execute if score !coral_boats fake matches 1.. positioned 46.44 70.50 1033.82 run function we:lvl_coral_boats

#jungle, dispensers
execute positioned 52.91 57.50 1141.01 if entity @a[distance=..2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] unless entity @e[type=arrow,tag=lvl_jungle_arrow1] run function we:lvl_jungle_arrow1
execute positioned 49.48 57.50 1137.45 if entity @a[distance=..2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] unless entity @e[type=arrow,tag=lvl_jungle_arrow2] run function we:lvl_jungle_arrow2

#jungle, falling gravel
execute if score !jungle_gravel fake matches ..0 positioned 50.92 59.00 1148.86 if entity @a[distance=..4.5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_jungle_gravel_prep
execute if score !jungle_gravel fake matches 1.. run function we:lvl_jungle_gravel

#swamp, dolphin
execute if score !swamp_dolp fake matches ..0 positioned 38.39 64.09 1257.47 if entity @a[distance=..2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_swamp_dolp_prep
execute if score !swamp_dolp fake matches 1.. run function we:lvl_swamp_dolp

#swamp, campfire
execute if score !swamp_campfire fake matches ..1 positioned 55.46 69.44 1236.51 if entity @a[distance=..2.5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_swamp_campfire_off
execute if score !swamp_campfire fake matches 2 positioned 55.46 69.44 1236.51 unless entity @a[distance=..7,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_swamp_campfire_on

#desert, bats
execute if score !desert_bats fake matches ..1 positioned -16.44 53.06 931.44 if entity @a[distance=..6,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_desert_bats_prep
execute if score !desert_bats fake matches 2.. positioned -16.44 53.06 931.44 run function we:lvl_desert_bats

#desert, falling block
execute if score !desert_fall fake matches ..1 positioned -8.57 65.00 931.58 if entity @a[distance=..2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_desert_fall_prep
execute if score !desert_fall fake matches 2.. positioned -8.57 65.00 931.58 unless entity @a[distance=..7,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_desert_fall_reset

#fortress, cannons
execute if score !fortress_cannon fake matches ..1 positioned -6.96 60.94 839.73 if entity @a[distance=..5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_fortress_cannon_prep
execute if score !fortress_cannon fake matches 2.. positioned -6.96 60.94 839.73 run function we:lvl_fortress_cannon

#fortress, anvil
execute if score !fortress_anvil fake matches ..1 positioned -35.48 65 848.99 if entity @a[distance=..2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_fortress_anvil_prep
execute if score !fortress_anvil fake matches 2.. positioned -26.58 65.50 846.52 run function we:lvl_fortress_anvil

#fortress, minigun
execute if score !fortress_mini fake matches ..1 positioned -35.37 67.00 842.00 if entity @a[distance=..3,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_fortress_mini_prep
execute if score !fortress_mini fake matches 2.. positioned -35.37 67.00 842.00 run function we:lvl_fortress_mini

#lush cave, dripstone
execute if score !lush_cave_drip fake matches ..1 positioned 82.63 59.00 1643.57 if entity @a[distance=..2.5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_lush_cave_drip_prep
execute if score !lush_cave_drip fake matches 2.. positioned 82.63 59.00 1643.57 run function we:lvl_lush_cave_drip

#end islands, enderman
execute if score !end_islands_man fake matches ..1 positioned -56.02 69.00 234.59 if entity @a[distance=..3,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_end_islands_man_prep
execute if score !end_islands_man fake matches 2.. positioned -56.02 69.00 234.59 run function we:lvl_end_islands_man

#end islands, endermite
execute if score !end_islands_mite fake matches ..1 positioned -21.74 69.00 242.66 if entity @a[distance=..5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_end_islands_mite_prep
execute if score !end_islands_mite fake matches 2.. positioned -21.74 69.00 242.66 run function we:lvl_end_islands_mite

#ice cave, piston
execute if score !ice_cave_piston fake matches ..1 positioned 43.57 60.00 1538.50 if entity @a[distance=..4,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_ice_cave_piston_prep
execute if score !ice_cave_piston fake matches 2.. positioned 43.57 60.00 1538.50 run function we:lvl_ice_cave_piston

#red nether, any
execute if score !red_nether_splash fake matches ..1 positioned -4.00 65.42 442.50 if entity @a[scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] if predicate we:chance_lavasplash run function we:lvl_red_nether_splash
execute if score !red_nether_splash fake matches 2.. at @e[type=marker,tag=en_red_nether_splash] unless entity @a[distance=..5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_red_nether_splash_reset

#red nether, lava
execute if score !red_nether_lava fake matches ..1 positioned 1.11 69.00 453.79 if entity @a[distance=..4,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_red_nether_lava_prep
execute if score !red_nether_lava fake matches 2.. positioned 1.11 69.00 453.79 run function we:lvl_red_nether_lava

#city, redstone water
execute if score !city_reds fake matches ..1 positioned 19.55 65.00 639.50 if entity @a[distance=..30,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_city_reds_prep
execute if score !city_reds fake matches 2.. positioned 19.55 65.00 639.50 run function we:lvl_city_reds

#village, running
execute if score !village_run fake matches ..1 positioned -1.14 69.50 734.87 if entity @a[distance=..3,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_village_run_prep
execute if score !village_run fake matches 2.. positioned -1.14 69.50 734.87 run function we:lvl_village_run

#village, phantom flies
execute if score !village_phantom fake matches ..1 positioned -13.96 71.50 747.65 if entity @a[distance=..2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_village_flies_prep
execute if score !village_phantom fake matches 2.. positioned -14.01 71.50 745.49 run function we:lvl_village_flies

#snow land, bells
execute if score !snow_land_bell fake matches ..1 positioned 76.00 60.37 1337.46 if entity @a[distance=..4,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_snow_land_bell_prep
execute if score !snow_land_bell fake matches 2.. positioned 76.00 60.37 1337.46 unless entity @a[distance=..10,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_snow_land_bell_reset

#snow land, ice
execute if score !snow_land_ice fake matches ..1 positioned 62.73 64.00 1353.32 if entity @a[distance=..6,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_snow_land_ice_prep
execute if score !snow_land_ice fake matches 2.. positioned 62.73 64.00 1353.32 run function we:lvl_snow_land_ice

#blue nether, gate
execute if score !blue_nether_gate fake matches ..1 positioned -79.09 65.00 332.99 if entity @a[distance=..4.5,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_blue_nether_gate_prep
execute if score !blue_nether_gate fake matches 2.. positioned -79.09 65.00 332.99 run function we:lvl_blue_nether_gate

#blue nether, platform
execute if score !blue_nether_plat fake matches ..1 positioned -67.99 66.50 334.45 if entity @a[distance=..2,scores={location=3},tag=timeron,tag=!infail,tag=!tp_is] run function we:lvl_blue_nether_plat_prep
execute if score !blue_nether_plat fake matches 2.. positioned -67.99 66.50 334.45 run function we:lvl_blue_nether_plat




